Package be.ehealth.technicalconnector.config.impl

# Class ConfigurationModuleSysOut

java.lang.Object
be.ehealth.technicalconnector.config.impl.ConfigurationModuleSysOut

All Implemented Interfaces:
  `ConfigurationModule`

public class ConfigurationModuleSysOut extends Object implements ConfigurationModule
This configurationmodule will redirect the `System.out` to the logging the proper logging context.

Attention: there could be a performance impact on your application
If you want to activate this module the property `ENABLE_SYSOUT_REDIRECT` must have the value true.

Implementation of `ConfigurationModule`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `ENABLE_SYSOUT_REDIRECT`
  Property to enable the
  invalid reference

      System.out

  to the active logging context.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ConfigurationModuleSysOut()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `init(Configuration config)`
  Method that initialise the configuration module.
  `void`
  `unload()`
  Method that restores the configuration module and reset the system to the initial situation.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### ENABLE_SYSOUT_REDIRECT

    public static final String ENABLE_SYSOUT_REDIRECT
    Property to enable the
    invalid reference

        System.out

    to the active logging context.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### ConfigurationModuleSysOut

    public ConfigurationModuleSysOut()

- ## Method Details

  - ### init

    public void init(Configuration config)
    Description copied from interface: `ConfigurationModule`
    Method that initialise the configuration module.
    Specified by:
      `init` in interface `ConfigurationModule`
    Parameters:
      `config` -

  - ### unload

    public void unload() throws TechnicalConnectorException
    Description copied from interface: `ConfigurationModule`
    Method that restores the configuration module and reset the system to the initial situation.
    Specified by:
      `unload` in interface `ConfigurationModule`
    Throws:
      `TechnicalConnectorException`